package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class AtpVo extends BaseEntity {

    //Internal Unique ID of Application Transaction
    private String inr;

    //Transaction  ID
    private String cod;

    //Routing Allowed
    private String rouflg;

    //Business Sector
    private String bus;

    //Allocate New Contract
    private String concreflg;

    //Need Passed Data to Execute
    private String dtaflg;

    //Temporary Settlement Allowed
    private String sepflg;

    //Job Operation Allowed
    private String jobflg;

    //Subcontract-creating Transaction
    private String subflg;

    //Associated Object Type
    private String lnkobj;

    //Compliance Check Type
    private String ccstyp;

    //Version Counter
    private String ver;

    //Business-Transaction-Flag
    private String bustrnflg;

    //Relevant Amount for Release
    private String relamt;

    //Method of Release
    private String reltyp;

    //交易发起端
    private String negflg;

    //交易处理时�'
    private int dealtim;

    //交易名称
    private String codnam;

    private String roleid;

    private List<String> roleids;

    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getCod() {
        return cod;
    }

    public void setCod(String cod) {
        this.cod = cod;
    }

    public String getRouflg() {
        return rouflg;
    }

    public void setRouflg(String rouflg) {
        this.rouflg = rouflg;
    }

    public String getBus() {
        return bus;
    }

    public void setBus(String bus) {
        this.bus = bus;
    }

    public String getConcreflg() {
        return concreflg;
    }

    public void setConcreflg(String concreflg) {
        this.concreflg = concreflg;
    }

    public String getDtaflg() {
        return dtaflg;
    }

    public void setDtaflg(String dtaflg) {
        this.dtaflg = dtaflg;
    }

    public String getSepflg() {
        return sepflg;
    }

    public void setSepflg(String sepflg) {
        this.sepflg = sepflg;
    }

    public String getJobflg() {
        return jobflg;
    }

    public void setJobflg(String jobflg) {
        this.jobflg = jobflg;
    }

    public String getSubflg() {
        return subflg;
    }

    public void setSubflg(String subflg) {
        this.subflg = subflg;
    }

    public String getLnkobj() {
        return lnkobj;
    }

    public void setLnkobj(String lnkobj) {
        this.lnkobj = lnkobj;
    }

    public String getCcstyp() {
        return ccstyp;
    }

    public void setCcstyp(String ccstyp) {
        this.ccstyp = ccstyp;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getBustrnflg() {
        return bustrnflg;
    }

    public void setBustrnflg(String bustrnflg) {
        this.bustrnflg = bustrnflg;
    }

    public String getRelamt() {
        return relamt;
    }

    public void setRelamt(String relamt) {
        this.relamt = relamt;
    }

    public String getReltyp() {
        return reltyp;
    }

    public void setReltyp(String reltyp) {
        this.reltyp = reltyp;
    }

    public String getNegflg() {
        return negflg;
    }

    public void setNegflg(String negflg) {
        this.negflg = negflg;
    }

    public int getDealtim() {
        return dealtim;
    }

    public void setDealtim(int dealtim) {
        this.dealtim = dealtim;
    }
}
